[Python-de] Buch "Objektorientierte Programmierung mit Python" Verlag mitp

Mike Abel F10 at gmx.de
Mon Dez 1 19:53:06 CET 2003


Klaus-G. Meyer schrieb:
> Hi Martin,
> 
>>> Damit dürfte so mancher Script spätestens mit 2.4 auch nicht mehr
>>> laufen, nur weil man mal einen Umlaut verwendet hatte.
>>
>>
>> Nein, auch in 2.4 werden sie alle weiter funktionieren.
> 
> 
> In der Python-Hilfe steht halt:
> 
>> importing modules that contain string literals with 8-bit characters 
>> and have no encoding declaration will result in a DeprecationWarning 
>> being signalled by Python 2.3; in 2.4 this will be a syntax error.
> 
> 
> Wie kann den ein Script mit einem Syntax Error laufen?
> Oder ist da die Hilfe falsch?

Das ist wohl eher so zu verstehen daß unter 2.3 eine Warnung erscheint
(habe ich bei meinen Sonderzeichenexperimenten am Wochenende erlebt),
aber in Version 2.4 dann ein Syntaxfehler vorliegt.

Damit habe ich kein Problem; Python ist in diesem Punkt einfach nur nett.

Gruß Mike